// BoilingPoint_1
// IDE 1.8.5
// Adapted and modified by Alberto Villalobos (IDE 1.8.5)
// Referencias
// https://randomnerdtutorials.com  
// www.HowToMechatronics.com

#include <AltSoftSerial.h>
#include <OneWire.h>
#include <DallasTemperature.h>

AltSoftSerial BTserial(9, 8); // RX | TX
//  Pins
//  BT VCC to Arduino 5V out. 
//  BT GND to GND
//  Arduino D8 (SS RX) - BT TX no need voltage divider 
//  Arduino D9 (SS TX) - BT RX through a voltage divider (5v to 3.3v)

// Data wire is conntec to the Arduino digital pin 4
#define ONE_WIRE_BUS 4

// Setup a oneWire instance to communicate with any OneWire devices
OneWire oneWire(ONE_WIRE_BUS);

// Pass our oneWire reference to Dallas Temperature sensor 
DallasTemperature sensors(&oneWire);

double Temperatura;
double CorrecTemp = 0; //Corrección a la temperatura medida inicialmente por el sensor
 
void setup()
{
  // Start serial communication for debugging purposes
  Serial.begin(9600);
  BTserial.begin(9600); // HC-06 default serial speed is 9600
  // Start up the library
  sensors.begin();
 
}

void loop(){ 
  // Call sensors.requestTemperatures() to issue a global temperature and Requests to all devices on the bus
  sensors.requestTemperatures(); 
  
  Temperatura = sensors.getTempCByIndex(0) + CorrecTemp;

  BTserial.print(Temperatura);
  BTserial.print("/");
  Serial.println(Temperatura); 
   
  delay(100);  
}


